package com.railway.business.baseinfo.mapper;

import com.github.pagehelper.Page;
import com.railway.business.baseinfo.domain.BusFjxgmd;
import com.railway.business.baseinfo.domain.vo.BusFjxgmdQueryVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 附加悬挂锚段
 * @author author
 * @date 2021/10/26
 */
@Mapper
@Repository
public interface BusFjxgmdMapper {
    /**
     * 新增
     */
    int insert(BusFjxgmd busFjxgmd);

    /**
     * 删除
     */
    int delete(@Param("id") String id);

    /**
     * 更新
     */
    int update(BusFjxgmd busFjxgmd);

    /**
     * 获取单个
     */
    BusFjxgmd getInfo(@Param("id") String id);

    /**
     * 查询列表
     */
    Page<BusFjxgmd> getList(BusFjxgmd busFjxgmd);

    /**
     * 通过支柱信息获取对锚列表
     * @param busFjxgmdQueryVo
     * @return
     */
    List<BusFjxgmd> getListByZz(@Param("query") BusFjxgmdQueryVo busFjxgmdQueryVo);
}
